//
//  OnboardingCustomizeOne.swift
//  Reflect (iOS)
//
//  Created by Trey Tartt on 4/5/22.
//

import SwiftUI

struct OnboardingCustomizeOne: View {
    @ObservedObject var onboardingData: OnboardingData
    
    var formatter: DateFormatter {
        let dateFormatter = DateFormatter()
        dateFormatter.timeStyle = .short
        return dateFormatter
    }
    
    var body: some View {
        ZStack {
            GeometryReader { geometry in
                VStack {
                    Spacer()
                    Image("good", bundle: .main)
                        .foregroundColor(Color(UIColor.darkText))
                        .opacity(0.04)
                        .scaleEffect(1.2, anchor: .trailing)
                        .accessibilityHidden(true)
                    Spacer()
                }
                
                
                ScrollView {
                    VStack(alignment: .leading) {
                        Text(String(localized: "onboarding_title_customize_one_title"))
                            .font(.title)
                            .padding()
                            .fixedSize(horizontal: false, vertical: true)
                            .foregroundColor(.black)
                        
                        Text(String(localized: "onboarding_title_customize_one_section_one_title"))
                            .font(.title3)
                            .fixedSize(horizontal: false, vertical: true)
                            .padding()
                            .foregroundColor(.black)
                            .multilineTextAlignment(.leading)
                        IconPickerView()
                    }
                }
                .padding()
            }
        }
        .background(Color(hex: "ffd709"))
    }
}

struct OnboardingCustomizeOne_Previews: PreviewProvider {
    static var previews: some View {
        OnboardingCustomizeOne(onboardingData: OnboardingData())
    }
}
